Package com.emc.d2fs.models.structure

# Class ImportStructureConfig

java.lang.Object
com.emc.d2fs.models.structure.ImportStructureConfig

All Implemented Interfaces:
  `Serializable`

public class ImportStructureConfig extends Object implements Serializable

Java class for import_structure_config complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="import_structure_config">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="config_name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="label" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="convert_vd" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="creation_profile" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="root_folder_type" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportStructureConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfigName()`
  Gets the value of the configName property.
  `String`
  `getCreationProfile()`
  Gets the value of the creationProfile property.
  `String`
  `getLabel()`
  Gets the value of the label property.
  `String`
  `getRootFolderType()`
  Gets the value of the rootFolderType property.
  `Boolean`
  `isConvertVd()`
  Gets the value of the convertVd property.
  `void`
  `setConfigName(String value)`
  Sets the value of the configName property.
  `void`
  `setConvertVd(Boolean value)`
  Sets the value of the convertVd property.
  `void`
  `setCreationProfile(String value)`
  Sets the value of the creationProfile property.
  `void`
  `setLabel(String value)`
  Sets the value of the label property.
  `void`
  `setRootFolderType(String value)`
  Sets the value of the rootFolderType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImportStructureConfig

    public ImportStructureConfig()

- ## Method Details

  - ### getConfigName

    public String getConfigName()
    Gets the value of the configName property.
    Returns:
      possible object is `String`

  - ### setConfigName

    public void setConfigName(String value)
    Sets the value of the configName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLabel

    public String getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `String`

  - ### setLabel

    public void setLabel(String value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `String`

  - ### isConvertVd

    public Boolean isConvertVd()
    Gets the value of the convertVd property.
    Returns:
      possible object is `Boolean`

  - ### setConvertVd

    public void setConvertVd(Boolean value)
    Sets the value of the convertVd property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getCreationProfile

    public String getCreationProfile()
    Gets the value of the creationProfile property.
    Returns:
      possible object is `String`

  - ### setCreationProfile

    public void setCreationProfile(String value)
    Sets the value of the creationProfile property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRootFolderType

    public String getRootFolderType()
    Gets the value of the rootFolderType property.
    Returns:
      possible object is `String`

  - ### setRootFolderType

    public void setRootFolderType(String value)
    Sets the value of the rootFolderType property.
    Parameters:
      `value` - allowed object is `String`